<?php
namespace Claromentis\Core\Exception;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array();
use Claromentis\Core\Util\ArrayUtil;
use Claromentis\Core\Util\StringUtil;





trait ExceptionMessageTrait
{
    
    
    
    
    
    
    
    protected static function buildMessage(...$values) : string
    {
        return StringUtil::concatenateMixed(...$values);
    }
    
    
    
    
    
    
    
    
    
    protected static function flattenArray(array $array) : string
    {
        return ArrayUtil::implodeScalars($array);
    }
}